Loading...
Searching...
No Matches
Implementation Details

## Classes

class | gr::basic_block
| The abstract base class for all signal processing blocks. More...
class | gr::block_detail
| Implementation details to support the signal processing abstraction. More...
class | gr::buffer
| Single writer, multiple reader fifo. More...
class | gr::buffer_double_mapped
| Single writer, multiple reader fifo. More...
class | gr::buffer_reader
| How we keep track of the readers of a gr::buffer. More...
class | gr::buffer_single_mapped
| A single mapped buffer where wrapping conditions are handled explicitly via input/output_blocked_callback functions called from block_executor. More...
class | gr::endpoint
| Class representing a specific input or output graph endpoint. More...
class | gr::flowgraph
| Class representing a directed, acyclic graph of basic blocks. More...

## Functions

static sptr | gr::io_signature::make (int min_streams, int max_streams, int sizeof_stream_item, buffer_type buftype=default_buftype::type)
| Create an i/o signature.
static sptr | gr::io_signature::make (int min_streams, int max_streams, const std::vector< size_t > &sizeof_stream_items, const gr::gr_vector_buffer_type &buftypes=gr::gr_vector_buffer_type(1, default_buftype::type))
| Create an i/o signature.

## Detailed Description

## Function Documentation

## make() [1/2]

sptr gr::io_signature::make | ( | int | min_streams,
|  | int | max_streams,
|  | const std::vector< size_t > & | sizeof_stream_items,
|  | const gr::gr_vector_buffer_type & | buftypes = gr::gr_vector_buffer_type(1, default_buftype::type) )

static

Create an i/o signature.

Parameters

  min_streams | specify minimum number of streams (>= 0)
  max_streams | specify maximum number of streams (>= min_streams or -1 -> infinite)
  sizeof_stream_items | specify the size of the items in each stream
  buftypes | type of buffers the streams should use (defaults to standard host double mapped buffer)

References max_streams(), min_streams(), sizeof_stream_items(), and gr::buffer_double_mapped::type.

## make() [2/2]

sptr gr::io_signature::make | ( | int | min_streams,
|  | int | max_streams,
|  | int | sizeof_stream_item,
|  | buffer_type | buftype = default_buftype::type )

static

Create an i/o signature.

Parameters

  min_streams | specify minimum number of streams (>= 0)
  max_streams | specify maximum number of streams (>= min_streams or -1 -> infinite)
  sizeof_stream_item | specify the size of the items in each stream
  buftype | type of buffers the streams should use (defaults to standard host double mapped buffer)

References max_streams(), min_streams(), sizeof_stream_item(), and gr::buffer_double_mapped::type.